<div id="content">
    <div class="row">
        <div class="col-sm-12">
            <app-book-loader *ngIf="isLoading"></app-book-loader>

            <div *ngIf="!isLoading" style="text-align:center; margin-bottom: 30px; margin-top: 10px;">
                <!--<h1> Welcome to Bookgram! </h1>-->
                <h3> Welcome back! Please login! </h3>

            </div>
            <form *ngIf="!isLoading" [formGroup]="form" (submit)="onSubmit()">
                <div class="form-row">
                    <div class="form-group col-md-5">
                        <img src="../../assets/images/books.jpg" alt="Books" />
                    </div>
                    <div class="col-md-7" style="margin-top: 40px">
                        <div class="form-group form-row">

                            <label for="username">Username</label>
                            <input type="text " class="form-control " id="username" placeholder="Username" formControlName="username">

                        </div>
                        <div class="form-group form-row">

                            <label for="password">Password</label>
                            <input type="password" class="form-control" id="password" placeholder="Password" formControlName="password">
                        </div>
                        <div class="form-group form-row" style="margin-left: 2px; margin-bottom: 2px; font-size: 15px;">
                            <p *ngIf="error"> *{{ error }} </p>
                            <div *ngIf="!form.valid &&username.touched">
                                <p *ngIf="username.errors; else passwordCondition">*Please choose your username</p>

                                <ng-template #passwordCondition>
                                    <p *ngIf="password.touched && password.errors">*Please enter your password</p>
                                </ng-template>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="form-group" style="text-align:center;">
                    <button type="submit" class="btn btn-dark" [disabled]="!form.valid">Login</button>
                    <button type="button" class="btn btn-dark" style="margin-left: 20px;" [routerLink]="['/register']">Register</button>
                </div>



            </form>
        </div>
    </div>
</div>
